Subject: Re: Git for games working group

From: Taylor Blau <[email-masked]>
Date: Mon, 17 Sep 2018 11:57:32 -0400

On Mon, Sep 17, 2018 at 05:00:10PM +0200, Ævar Arnfjörð Bjarmason wrote:
> >   2. Multi-file locks, e.g., "I need to lock file(s) X, Y, and Z
> >      together." This isn't possible in Git LFS today with the existing "git
> >      lfs lock" command (I had to check, but it takes only _one_ filename as
> >      its argument).
> >
> >      Perhaps it would be nice to support something like this someday in
> >      Git LFS, but I think we would have to reimagine how this would look
> >      in your file.lock scheme.
>
> If you can do it for 1 file you can do it for N with a for-loop, no? So
> is this just a genreal UI issue in git-annex where some commands don't
> take lists of filenames (or git pathspecs) to operate on, or a more
> general issue with locking?

I think that it's more general.

I envision a scenario where between iterations of the for-loop, another
client acquires a lock later on in the list. I think that the general
problem here is that there is no transactional way to express "please
give me all N of these locks".

Thanks,
Taylor